summaryrefslogtreecommitdiffstats
path: root/ci/verify.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/verify.sh')
-rwxr-xr-xci/verify.sh38
1 files changed, 27 insertions, 11 deletions
diff --git a/ci/verify.sh b/ci/verify.sh
index feb84d2..cd5bbbb 100755
--- a/ci/verify.sh
+++ b/ci/verify.sh
@@ -45,19 +45,35 @@ pip install requests==2.13.0
pip install scp==0.10.2
pip install six==1.10.0
-python ci/setup.py develop
-
-flake8 storperf
+final_rc=0
+flake8 docker/storperf-*
flake8rc=$?
-nosetests --with-xunit \
- --with-coverage \
- --cover-package=storperf\
- --cover-xml \
- --cover-html \
- tests
-rc=$?
+for testdir in docker/storperf-*
+do
+ if [ -d $testdir/tests ]
+ then
+ cwd=$(pwd)
+ cd $testdir
+
+ nosetests --with-xunit \
+ --with-coverage \
+ --cover-package=storperf\
+ --cover-xml \
+ --cover-html \
+ tests
+ rc=$?
+ if [ $rc -ne 0 ]
+ then
+ final_rc=$rc
+ fi
+ cd $cwd
+ fi
+done
+
+cp ./docker/storperf-master/coverage.xml .
+cp ./docker/storperf-master/nosetests.xml .
deactivate
@@ -67,4 +83,4 @@ then
exit $flake8rc
fi
-exit $rc
+exit $final_rc